div.content {
    width: 100%;
    height: 100%;
    overflow: hidden;
}
div#chatList {
    float: left;
    width: 280px;
    height: 100%;
    padding: 15px;
    margin-left: -290px;
}
div.content.sidebar div#chatList {
    margin-left: 0;
}
div#chatList div.userCode {
    padding: 6px 15px;
    margin-bottom: 8px;
    background: rgb( var( --r5 ), 0.3 );
    border-radius: 5px;
}
div#chatList div.userCode data {
    display: inline-block;
    width: calc( 100% - 30px );
    vertical-align: middle;
}
div#chatList div.userCode i {
    float: right;
    cursor: pointer;
}
div#chatList div.search {
    margin-bottom: 10px;
    position: relative;
}
div#chatList div.search input {
    width: 100%;
    height: 34px;
    padding: 0px 15px;
    padding-right: 34px;
    background: rgb( var( --r5 ), 0.25 );
    border-radius: 5px;
}
div#chatList div.search i {
    display: block;
    width: 34px;
    height: 34px;
    text-align: center;
    line-height: 34px;
    cursor: pointer;
    position: absolute;
    right: 0;
    top: 0;
}
div#chatList ul.list {
    width: calc( 100% + 30px );
    height: calc( 100% - 50px );
    margin-left: -15px;
}
div#chatList ul.list li {
    padding: 15px;
    border-bottom: 1px solid rgb( var( --r1 ), 0.1 );
    cursor: pointer;
    position: relative;
}
div#chatList ul.list li.action {
    background: rgb( var( --r5 ), 0.2 );
}
div#chatList ul.list li:last-of-type {
    border: none;
}
div#chatList ul.list li div.reading {
    display: none;
    width: auto;
    height: 20px;
    padding: 0px 8px;
    background: rgb( var( --r4 ) );
    font-size: 12px;
    line-height: 20px;
    border-radius: 90px;
    position: absolute;
    top: 10px;
    left: 38px;
}
div#chatList ul.list li div.reading.action {
    display: block;
}
div#chatList ul.list li img {
    float: left;
    width: 40px;
    height: 40px;
    margin-right: 8px;
    vertical-align: middle;
    border-radius: 90px;
}
div#chatList ul.list li p {
    margin: 0;
    font-size: 14px;
}
div#chatList ul.list li p.lastChat {
    color: rgb( var( --r1 ), 0.5 );
    font-size: 12px;
}
div#chat {
    float: right;
    width: 100%;
    height: 100%;
    padding: 15px;
    position: relative;
}
div.content.sidebar div#chat {
    width: calc( 100% - 290px );
}
div#chat div.title {
    padding-bottom: 10px;
    margin-bottom: 10px;
    border-bottom: 1px solid rgb( var( --r1 ), 0.1 );
}
div#chat div.title i {
    display: inline-block;
    width: 40px;
    height: 40px;
    text-align: center;
    vertical-align: middle;
    line-height: 40px;
    cursor: pointer;
}
div#chat div.title p {
    display: inline-block;
    margin: 0;
    vertical-align: middle;
}
div#chat div.title a.button {
    float: right;
    padding: 4px 8px;
    margin-left: 5px;
    margin-top: 8px;
    background: rgb( var(--r5), 0.3 );
    font-size: 12px;
    border-radius: 2px;
}
div#chat div.title a.button[uid="-1"], div#chat div.title a.button[uid="-2"] {
    display: none;
}
div#chat ul.message {
    height: calc( 100% - 155px );
}
div#chat ul.message div.more {
    display: none;
    padding: 10px 0px;
    margin-bottom: 10px;
    background: rgb( var( --r5 ), 0.25 );
    font-size: 14px;
    text-align: center;
    border-radius: 5px;
    cursor: pointer;
}
div#chat ul.message div.more.action {
    display: block;
}
div#chat ul.message li {
    display: block;
    margin-bottom: 10px;
}
div#chat ul.message li img.avatar {
    float: left;
    width: 40px;
    height: 40px;
    margin-top: 10px;
    margin-right: 8px;
    border-radius: 90px;
}
div#chat ul.message li div {
    float: left;
    width: auto;
    max-width: calc( 100% - 150px );
    padding: 15px;
    padding-top: 10px;
    background: rgb( var( --r5 ), 0.25 );
    font-size: 14px;
    border-radius: 10px;
}
div#chat ul.message li div p {
    margin-bottom: 0;
    font-size: 12px;
    color: rgb( var( --r1 ), 0.25 );
}
div#chat ul.message li div img {
    max-width: 100%;
}
div#chat ul.message li.self img.avatar {
    float: right;
    margin-left: 8px;
    margin-right: 0px;
}
div#chat ul.message li.self div {
    float: right;
    text-align: right;
}
div#chat ul.message li.self div p {
    text-align: right;
}
div#chat form {
    width: calc( 100% - 30px );
    position: absolute;
    bottom: 15px;
}
div#chat form input {
    width: 100%;
    height: 40px;
    padding: 0px 15px;
    margin-bottom: 8px;
    background: rgb( var( --r5 ), 0.25 );
    border-radius: 5px;
}
div#chat form i {
    display: inline-block;
    width: 34px;
    height: 34px;
    background: rgb( var( --r3 ) );
    vertical-align: middle;
    text-align: center;
    line-height: 34px;
    border-radius: 8px;
    cursor: pointer;
}
div#chat form i.tc-loader {
    pointer-events: none;
}
div#chat form i.tc-loader::before {
    display: inline-block;
    animation: spin 1.5s linear infinite;
}
div#chat form button, div#chat form a.button {
    height: 34px;
    padding: 0px 16px;
    vertical-align: middle;
    line-height: 34px;
}
div#chat form a.button {
    display: none;
}
div#chat form a.button.action {
    display: inline-block;
}
@media ( max-width: 700px ) {
    div#body main {
        min-height: auto;
        padding-bottom: 0;
    }
    div#body main div.content {
        width: calc( 100% + 30px );
        height: calc( 100vh - 180px );
        margin-left: -15px;
        white-space: nowrap;
        overflow: hidden;
    }
    div#chatList, div#chat {
        float: none;
        display: inline-block;
        padding-bottom: 50px;
        white-space: normal;
    }
    div#chatList {
        width: 270px;
        margin-left: -273px;
    }
    div#chat {
        width: 100% !important;
    }
    div#chat ul.message li div {
        max-width: calc( 100% - 60px );
    }
    div#chat form {
        bottom: 50px;
    }
}